/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.valueobjectdotnet.valueobject;

import java.util.List;

/**
 * BlancoValueObjectDotNetのなかで利用されるValueObjectです。
 */
public class BlancoValueObjectDotNetClassStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     */
    private String fName;

    /**
     * フィールド [package]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     */
    private String fPackage;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * クラスのJavaDocを指定します。
     */
    private String fDescription;

    /**
     * フィールド [filecomment]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["このクラスはblancoValueObjectにより自動生成されました。"]<br>
     * ファイルコメントを指定します。
     */
    private String fFilecomment = "このクラスはblancoValueObjectにより自動生成されました。";

    /**
     * フィールド [fieldList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * フィールドを記憶するリストを指定します。
     */
    private List fFieldList = new java.util.ArrayList();

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [package]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @param argPackage フィールド[package]に格納したい値
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド[package]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @return フィールド[package]に格納されている値
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * クラスのJavaDocを指定します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * クラスのJavaDocを指定します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [filecomment]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルコメントを指定します。
     *
     * @param argFilecomment フィールド[filecomment]に格納したい値
     */
    public void setFilecomment(final String argFilecomment) {
        fFilecomment = argFilecomment;
    }

    /**
     * フィールド[filecomment]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["このクラスはblancoValueObjectにより自動生成されました。"]<br>
     * ファイルコメントを指定します。
     *
     * @return フィールド[filecomment]に格納されている値
     */
    public String getFilecomment() {
        return fFilecomment;
    }

    /**
     * フィールド [fieldList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * フィールドを記憶するリストを指定します。
     *
     * @param argFieldList フィールド[fieldList]に格納したい値
     */
    public void setFieldList(final List argFieldList) {
        fFieldList = argFieldList;
    }

    /**
     * フィールド[fieldList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * フィールドを記憶するリストを指定します。
     *
     * @return フィールド[fieldList]に格納されている値
     */
    public List getFieldList() {
        return fFieldList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.valueobjectdotnet.valueobject.BlancoValueObjectDotNetClassStructure[");
        buf.append("name=" + fName);
        buf.append(",package=" + fPackage);
        buf.append(",description=" + fDescription);
        buf.append(",filecomment=" + fFilecomment);
        buf.append(",fieldList=" + fFieldList);
        buf.append("]");
        return buf.toString();
    }
}
